# H46018_LRQKeepAliveData Class Reference

`#include <h46018.h>`

## Public Member Functions

| H46018_LRQKeepAliveData (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H225_TimeToLive | m_lrqKeepAliveInterval

## Constructor & Destructor Documentation

H46018_LRQKeepAliveData::H46018_LRQKeepAliveData | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H46018_LRQKeepAliveData::Clone | ( |  | ) | const

Comparison H46018_LRQKeepAliveData::Compare | ( | const PObject & | obj | ) | const

PBoolean H46018_LRQKeepAliveData::Decode | ( | PASN_Stream & | strm | ) |

void H46018_LRQKeepAliveData::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H46018_LRQKeepAliveData::GetDataLength | ( |  | ) | const

void H46018_LRQKeepAliveData::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H225_TimeToLive H46018_LRQKeepAliveData::m_lrqKeepAliveInterval

The documentation for this class was generated from the following file:

- h46018.h